--
-- F40 Engine Script
--
------------------------------------------------------------
-- OnControlValueChange
------------------------------------------------------------
-- Called when a cab control is modified
------------------------------------------------------------
-- Parameters:
--	name	= Name of the control
--	index	= Index of the control
--	value	= Modified control value
------------------------------------------------------------

function OnControlValueChange ( name, index, value )

	if Call( "*:ControlExists", name, index ) then

		Call( "*:SetControlValue", name, index, value );

	end

end


function OnCustomSignalMessage ( Parameter )

	signalval = string.sub ( Parameter, 4, 4 )
	currentSig = Call( "*:GetControlValue", "cabsignal", 0 )

-- Add ones to comparisons to ensure the strings are converted to type number.
	if ( currentSig + 1 ) ~= ( signalval + 1 ) then
		Call( "*:SetControlValue", "cabsignal", 0, signalval )
	end

end
